Subject: bug#76797: closed (Re: bug#76797: 29.1; read-string docstring doesn't mention return value)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 07 Mar 2025 17:16:02 +0000

Your bug report

#76797: 29.1; read-string docstring doesn't mention return value

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76797: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76797
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76797: 29.1; read-string docstring doesn't mention return value
From: Stefan Kangas <[email-masked]>
To: Howard Melman <[email-masked]>, [email-masked]
Date: Fri, 7 Mar 2025 17:15:00 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.2

Howard Melman <[email-masked]> writes:

> The docstring for read-string in emacs 29.1 doesn't mention
> its return value (though the 4th arg describes what it
> returns if the user enters the empty string).
>
> I agree it's kind of obvious that it returns the read string
> but not seeing it explicitly made me scan for something I
> might have been missing.
>
> I suggest the first line instead of:
>
>     Read a string from the minibuffer, prompting with string PROMPT.
>
> be:
>
>     Return a string read from the minibuffer, prompting with string PROMPT.
>
> or if 71 characters is too long, one of:
>
>     Return a string read from the minibuffer, prompting with PROMPT.
>     Return a string read from the minibuffer, using PROMPT string.
>     Return a string read from the minibuffer, using string PROMPT.
>
> Or just mention the return value in the one of the other lines.

Thanks, fixed on emacs-30.  Closing.

Subject: 29.1; read-string docstring doesn't mention return value
From: Howard Melman <[email-masked]>
To: GNU Emacs <[email-masked]>
Date: Thu, 6 Mar 2025 21:37:55 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

The docstring for read-string in emacs 29.1 doesn't mention
its return value (though the 4th arg describes what it
returns if the user enters the empty string).

I agree it's kind of obvious that it returns the read string
but not seeing it explicitly made me scan for something I
might have been missing.

I suggest the first line instead of:

    Read a string from the minibuffer, prompting with string PROMPT.

be:

    Return a string read from the minibuffer, prompting with string PROMPT.

or if 71 characters is too long, one of:

    Return a string read from the minibuffer, prompting with PROMPT.
    Return a string read from the minibuffer, using PROMPT string.
    Return a string read from the minibuffer, using string PROMPT.

Or just mention the return value in the one of the other lines.

-- 

Howard